RubyGems Navigation menu

puppetlabs_spec_helper 4.0.0

Contains rake tasks and a standard spec_helper for running spec tests on puppet modules.

Versions:

  1. 4.0.1 - August 23, 2021 (39 KB)
  2. 4.0.0 - July 26, 2021 (39 KB)
  3. 3.0.0 - February 10, 2021 (39.5 KB)
  4. 2.16.0 - January 18, 2021 (40.5 KB)
  5. 2.15.0 - June 12, 2020 (39 KB)
Show all versions (63 total)

Runtime Dependencies (5):

  • mocha ~> 1.0
  • pathspec >= 0.2.1, < 1.1.0
  • puppet-lint ~> 2.0
  • puppet-syntax >= 2.0, < 4
  • rspec-puppet ~> 2.0
  • Development Dependencies (7):

  • bundler >= 0
  • fakefs >= 0.13.3, < 2
  • pry >= 0
  • puppet >= 0
  • rake >= 10.0, < 14
  • rspec ~> 3.0
  • yard >= 0
  • Owners:

    Pushed by:

    Authors:

    • Puppet, Inc., Community Contributors

    SHA 256 checksum:

    e6f30eea3281c1cb692f0aeba1cb08d2441502e171e5ed827a9d4f56ffc56895

    Total downloads 11,163,913

    For this version 20,282

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    Apache-2.0

    Required Ruby Version: >= 2.4

    Links: